<body text="#000000" link="#0000FF" vlink="#800080" alink="#FF0000" bgcolor="#F0F0F0">
<font face=arial size=-1>

<h3>Overview of Realms and Groups</h3>

<hr>
<b>Hierarchical Structure</b>
<p>
</font>

<pre>Realm
|__Group
   |__Nested Group
      |__User
         |__Alias</pre>

<font face=arial size=-1>

A Realm is a collection of Groups of users, each of which is a collection of users.
<p>
Specifying Realm and Group names for a collections of users makes it easier 
to write access control rules for resources, since 
you can add users to the Group within a Realm without having to
modify your access control rules.

<hr>
<b>The Admin Group and Admin User</b>
<p>

PowerWeb creates a realm named "admin" upon installation. This is
the default realm for all user authentication, regardless of whether
users are accessing administration facilities. PowerWeb restricts
access to administration facilities to members of the GROUP "admin"
so that only users who are members of that group can configure or
administer your server.
<p>

PowerWeb initially creates a single user (also named "admin") within that
privileged "admin" group. You may add further users to that group
if you want multiple system administrators. If you do not wish to use
the "admin" user name, then first create a new user who is a member
of the "admin" GROUP, and then delete the "admin" user.

<hr>
<b>Multiple Realms versus Multiple Groups</b>
<p>

The primary reason for using a single realm with multiple groups
as opposed to multiple realms is 
that a resource can only use one realm at a time. So if you need users to 
access that resource from multiple realms, you will need to duplicate them 
where necessary across realms. That is why a single realm with multiple groups is easier to 
manage.
<p>

As a rule of thumb, you should use separate realms if each realm is independent
and does not share users with other realms, and is used to access a separate 
set of resources independent of the other realms. This makes administration
easier and allows for faster lookup by PowerWeb Server.
<p>

If you share users across multiple realms, or users from multiple realms need 
access to the same resource, you should consider instead using a
single realm and multiple groups within that realm. This means that a user can 
have a single logon account while still belonging to multiple groups. The 
disadvantage is that the whole realm of users must now be managed through a 
single common channel instead of independent lists.
<p>

For example, given the situation:
<br>

</font>

<pre>
Admin group
   a user
   b user
   c user
Sales group
   d user
   e user
   f user
</pre>

<font face=arial size=-1>

<br>
where Admin and Sales access separate sets of resources, you are better off
using two realms because the user lists are totally separate.
<p>

If on the other hand you had:
<br>

</font>

<pre>
Admin group
   a user
   b user
   e user
Sales group
   a user
   b user
   c user
   d user
</pre>

<font face=arial size=-1>

<br>
or if Admin needed to access some of the same documents as Sales, you would
be better off using a single realm with two groups.

<hr>
<b>File Formats for Unix-compatible Realms:</b>
<p>

If you make any manual changes to these files, you MUST restart
the server afterwards to have the changes take effect, because
PowerWeb caches some of this information in memory.

<p>
<b>User Database:</b>
<p>

The file format is one user per line:
</font><pre>user_name:crypted_password</pre><font face=arial size=-1>

<p>
<b>Group Database:</b>
<p>

The file format is one group per line:
</font><pre>group_name:user_name1 user_name2 ...</pre><font face=arial size=-1><p>
where each user_name can be either an individual user or a group name
(which must be enclosed in square brackets "[]").

<p>
<b>Alias Database:</b>
<p>

The file format is one user per line:
</font><pre>user_name:alias1 alias2 ...</pre><font face=arial size=-1>

<p>

