/* Add a batch of users to a given realm and group */

parse arg realm group filename admin_user admin_password

if realm = "?" | realm = "/?" | length(realm) = 0 | length(filename) = 0 then do
	say "Utility to Add a Batch of New Users to a PowerWeb Server++ User Database."
	say ""
	say "Usage:     AddUGs Realm GroupName BatchFileName [AdminName [AdminPassword]]"
	say ""
	say "Example 1: AddUGs admin finance users.add"
	say "Example 2: AddUGs admin finance newusers.txt admin secret"
	say ""
	say "If the admin user name is omitted, it defaults to 'admin'."
	say "If the admin user password is omitted, it defaults to empty."
	return
end

if length(admin_user) = 0 then
	admin_user = 'admin'

http = '/!usermgr?Realm='realm'&user=&password=&verify=&group='group'&alias=&file='filename'&Submit=Add'

call CallHTTP http, admin_user, admin_password, "User Results", "Copyright"

return

