/*******************************************************************************
*
* This module presents example PowerWeb Server++ Direct APIs.
*
* It uses the semaphore facility to co-ordinate contention among multiple
* simultaneous requests. To see this module in operation, you will need
* to submit multiple simultaneous requests with several browsers.
*
* COPYRIGHT:
*   CompuSource (Pty) Ltd
*   Licensed Materials - Property of CompuSource (Pty) Ltd
*   (C) Copyright CompuSource (Pty) Ltd 1994, 1995.
*   All Rights Reserved
*   Use, duplication, or disclosure restricted by international
*   copyright law.
*
*******************************************************************************/

Parse Arg parcel

/* Add in an extra Rexx package for sleeping */
call RxFuncAdd 'SysSleep', 'RexxUtil', 'SysSleep'

/* Grab a handle to the server's output variable for quick reference */
html = ServerFind(parcel, "Request:/Result")

/* Grab a handle to the pre-defined Global semaphore for quick reference */
sem = ServerFind(parcel, "Config:/Semaphore/Global")

/* read a unique variable */
socket = ServerReadText(parcel, "Connection:/Socket")

/* Request the semaphore, no timeout */
call ServerWriteText sem,, "0"

/* Perform some dummy work to demonstrate serialisation.
   In this case, we output to the system console.
   You should always see pairs of lines of Request and Release
   with the same socket number, never interleaved with that
   of another request.
 */
say "Request from socket" socket
call SysSleep 1
say "Release by socket" socket

/* Release the semaphore */
call ServerWriteText sem,, "-1"

/* Respond to the user */
call ServerWriteText html,, "You arrived on socket" socket

/* Tell the server everything was OK */
return "0"


